
QGIS Application - Bug report #19271

Crash on SQL queries - virtual layers

2018-06-26 04:30 PM - Bugmi Gnott

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 27099

Description

Steps to reproduce:

    -  New project

    -  New temporary vector (name "asd", geometry: LineString)

    -  Draw a line

    -  Menu Database -> DB Manager, click on Virtual Layers -> QGIS layer -> asd, open the SQL window

    -  Run query: "SELECT * FROM asd;", query should run OK

    -  Run query: "SELECT geometry FROM asd;", query should run OK

    -  Run query: "SELECT GLength(geometry) FROM asd;", query should run OK

    -  Run query: "SELECT *", crash occurs

    -  Run query: "SELECT geometry_n FROM asd;", crash occurs

    -  Run query: "SELECT NoSuchFunction(geometry) FROM asd;", crash occurs

See attached file for stack trace

History

#1 - 2018-06-27 11:36 PM - Jürgen Fischer

- Subject changed from QGIS 3.2.0 - Crash on SQL queries to Crash on SQL queries

#2 - 2018-10-02 01:22 AM - Stephen Knox

I can't reproduce a crash on the queries flagged, although they don't work, but that isn't surprising since they don't seem to be valid SQL. Perhaps a close

candidate as time has moved on?

#3 - 2018-10-02 10:21 AM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2018-10-23 09:47 AM - Regis Haubourg

- Status changed from Feedback to Closed

- Resolution set to not reproducable

- Priority changed from High to Normal

Tested here with latest nightlies.

I get "database error" messages in a popup but no QGIS crash.
For sure the error message are not really informative but this would be more a feature request to improve that part of DBmanager (would be really nice to

have verbose messages from spatialite / SQLITE)

Please reopen if the crash still occurs

#5 - 2018-10-23 11:15 AM - Regis Haubourg

- Subject changed from Crash on SQL queries to Crash on SQL queries - virtual layers

Files

crash.txt 1.31 KB 2018-06-26 Bugmi Gnott
